/******************************************************************************\
*
* Apple Macintosh Developer Technical Support
*
* Resource definitions file for the DavesFabSamples application
*
* Program: DavesFabSamples
* File:    DavesFabSamples.r
*
* by:      Forrest Tanaka
*
* Copyright  1988-1990 Apple Computer, Inc.
* All rights reserved.
*
\******************************************************************************/
	
#define SystemSevenOrLater 1
#include <types.r>
#include <systypes.r>


resource 'vers' (1, purgeable) {
	0x1,
	0x0,
	development,
	0x2,
	verUS,
	"1.0d2",
	"1.0d2,  Apple Computer, Inc. 1991-1993"
};




resource 'STR#' (1000, "Memory Error Messages", purgeable) {
	{
		/* [1] */ "There isnt enough memory to open this a"
		          "pplication.",
		/* [2] */ "There isnt enough memory to open the do"
		          "cument."
	}
};

resource 'STR#' (1001, "Resource Error Messages", purgeable) {
	{
		/* [1] */	"This application appears to be damaged. "
					"Try using a different copy."
	}
};

resource 'STR#' (1002, "Miscellaneous Error Messages", purgeable) {
	{
		/* [1] */	"An error thats unrecognised by this app"
					"lication has occured.",
		/* [2] */	"QuickTime is not available on this Macin"
					"tosh. QMundo requires QuickTime.",
		/* [3] */	"Some sort of QuickTime error occured."
	}
};

resource 'STR#' (1003, "File Error Messages", purgeable) {
	{
		/* [1] */	"This file cant be opened because its a"
					"lready open in another application."
	}
};




resource 'SIZE' (-1, purgeable) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1593344,
	393216
};




resource 'ALRT' (6010, "OK", purgeable) {
	{0, 0, 108, 368},
	6010,
	{
		/* [1] */ OK, visible, silent,
		/* [2] */ OK, visible, silent,
		/* [3] */ OK, visible, silent,
		/* [4] */ OK, visible, silent
	},
	centerMainScreen
};

resource 'ALRT' (6011, "OK/Cancel", purgeable) {
	{0, 0, 112, 368},
	6011,
	{
		/* [1] */ OK, visible, silent,
		/* [2] */ OK, visible, silent,
		/* [3] */ OK, visible, silent,
		/* [4] */ OK, visible, silent
	},
	centerMainScreen
};

resource 'ALRT' (6012, "Save/Cancel/Dont Save", purgeable) {
	{0, 0, 112, 368},
	6012,
	{
		/* [1] */ OK, visible, sound1,
		/* [2] */ OK, visible, sound1,
		/* [3] */ OK, visible, sound1,
		/* [4] */ OK, visible, sound1
	},
	centerMainScreen
};




resource 'DITL' (6010, "OK Alert", purgeable) {
	{
		/* [1] */ {80, 290, 100, 358}, Button { enabled, "OK" },
		/* [2] */ {80, 209, 100, 277}, StaticText { disabled, "" },
		/* [3] */ {7, 75, 71, 358},    StaticText { disabled, "^0" }
	}
};

resource 'DITL' (6011, "OK/Cancel Alert", purgeable) {
	{
		/* [1] */ {80, 290, 100, 358}, Button { enabled, "OK" },
		/* [2] */ {80, 209, 100, 277}, Button { enabled, "Cancel" },
		/* [3] */ {7, 75, 71, 358}, StaticText { disabled, "^0" }
	}
};

resource 'DITL' (6012, "Save Alert", purgeable) {
	{
		/* [1] */ {80, 290, 100, 358}, Button { enabled, "Save" },
		/* [2] */ {80, 209, 100, 277}, Button { enabled, "Cancel" },
		/* [3] */ {80, 75, 100, 155},  Button { enabled, "Dont Save" },
		/* [4] */ {7, 75, 71, 358},    StaticText { disabled,
											"Save changes to the CheapScan document "
											"^0 before quitting?" }
	}
};




resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		/* [1] */ "About", noIcon, noKey, noMark, plain,
		/* [2] */ "-",            noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"File",
	{
		/* [1] */ "Close", noIcon, "W",   noMark, plain,
		/* [2] */ "-",     noIcon, noKey, noMark, plain,
		/* [3] */ "Quit",  noIcon, "Q",   noMark, plain
	}
};

resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFFFF,
	enabled,
	"Samples",
	{	
		/* [01] */ "Angled Carets and Hilites",          noIcon, noKey, noMark, plain,
		/* [02] */ "Automatic Kerning",                  noIcon, noKey, noMark, plain,
		/* [03] */ "Baseline Alignment",                 noIcon, noKey, noMark, plain,
		/* [04] */ "Case Substitution",                  noIcon, noKey, noMark, plain,
		/* [05] */ "Continuous Flushness",               noIcon, noKey, noMark, plain,
		/* [06] */ "Continuous Justification",           noIcon, noKey, noMark, plain,
		/* [07] */ "Cross-Stream Kerning",               noIcon, noKey, noMark, plain,
		/* [08] */ "Direction Overrides",                noIcon, noKey, noMark, plain,
		/* [09] */ "Extender Bars (Kashidas)",           noIcon, noKey, noMark, plain,
		/* [10] */ "GetGlyphOffsets Example",            noIcon, noKey, noMark, plain,
		/* [11] */ "GetOffsetGlyphs Example",            noIcon, noKey, noMark, plain,
		/* [12] */ "Glyph Stretching",                   noIcon, noKey, noMark, plain,
		/* [13] */ "Glyph Substitutions",                noIcon, noKey, noMark, plain,
		/* [14] */ "Growing or Shrinking Lines",         noIcon, noKey, noMark, plain,
		/* [15] */ "Hanging Punctuation",                noIcon, noKey, noMark, plain,
		/* [16] */ "Imposed-width Whitespace",           noIcon, noKey, noMark, plain,
		/* [17] */ "Indic-style Rearrangement",          noIcon, noKey, noMark, plain,
		/* [18] */ "Justification with Wider Glyphs",    noIcon, noKey, noMark, plain,
		/* [19] */ "Kerning Adjustments",                noIcon, noKey, noMark, plain,
		/* [20] */ "Left and Right Factors",             noIcon, noKey, noMark, plain,
		/* [21] */ "Letterspacing (Horizontal and Vertical)", noIcon, noKey, noMark, plain,
		/* [22] */ "Ligature Decomposition",             noIcon, noKey, noMark, plain,
		/* [23] */ "Ligature Split Positions",           noIcon, noKey, noMark, plain,
		/* [24] */ "Ligatures",                          noIcon, noKey, noMark, plain,
		/* [25] */ "Number Styles",                      noIcon, noKey, noMark, plain,
		/* [26] */ "Optical Alignment",                  noIcon, noKey, noMark, plain,
		/* [27] */ "Smart Swashes",                      noIcon, noKey, noMark, plain,
		/* [28] */ "Split or Polarized Carets",          noIcon, noKey, noMark, plain,
		/* [29] */ "Track Kerning",                      noIcon, noKey, noMark, plain,
		/* [30] */ "Unicode Reordering",                 noIcon, noKey, noMark, plain,
		/* [31] */ "Unlimited Gap Absorption",           noIcon, noKey, noMark, plain,
		/* [32] */ "Vertical Lines of Text",             noIcon, noKey, noMark, plain,
		/* [33] */ "Vertical Glyph Substitutions",       noIcon, noKey, noMark, plain
	}
};




resource 'MBAR' (128, purgeable) {
	{ 128, 129, 130 }
};




resource 'WIND' (128, "QMundo Document", purgeable) {
	{0, 0, 256, 256},
	documentProc,
	invisible,
	goAway,
	0x0,
	Untitled,
	noAutoCenter
};
